name: stress-tensors-3d
version: '0.1.0.1'
author: David Simmons-Duffin
maintainer: davidsd@gmail.com
license: MIT
language: GHC2021

ghc-options:
- -Wall
- -Wcompat
- -Wincomplete-record-updates
- -Wincomplete-uni-patterns
- -Wredundant-constraints
- -O2
- -Wunused-packages

library:
  source-dirs: src
  dependencies:
  - base
  - time
  - mtl
  - text
  - binary
  - aeson
  - containers
  - linear
  - vector
  - hyperion
  - hyperion-bootstrap
  - reflection
  - hyperion-static
  - bootstrap-math
  - sdpb-haskell
  - bootstrap-build
  - blocks-core
  - tagged
  - filepath
  - directory
  - rounded
  - quadratic-net
  - bootstrap-bounds
  - blocks-3d
  - hyperion-config
  - scalar-blocks
  - deepseq
  - multiset
  - extra
  - matrix-static
  - scientific
  extra-libraries: mpfr

executables:
  stress-tensors-3d-exec:
    main: Main.hs
    source-dirs: exec
    dependencies:
    - base
    - stress-tensors-3d
    - hyperion-bootstrap
    - hyperion-config
    ghc-options: [-threaded]
  stress-tensors-3d-test:
    main: Main.hs
    source-dirs: test
    dependencies:
    - base
    - stress-tensors-3d
    ghc-options: [-threaded]
